Ist meine Geräteversion mit dem Ghostery Privacy Browser kompatibel?

  • Der Ghostery Privacy Browser für Android ist kompatibel mit der Android_Version 4.1 und neueren Versionen.
  • Der Ghostery Privacy Browser für iOS ist kompatibel mit der iOS_Version 9.0 und neueren Versionen.
Access Ghostery Support